<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.tuoheng.mapper.DictMapper">

    <resultMap id="BaseResultMap" type="com.tuoheng.model.entity.Dict">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="dictName" column="dict_name" jdbcType="VARCHAR"/>
            <result property="type" column="type" jdbcType="VARCHAR"/>
            <result property="status" column="status" jdbcType="TINYINT"/>
            <result property="createUser" column="create_user" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateUser" column="update_user" jdbcType="VARCHAR"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
            <result property="remark" column="remark" jdbcType="VARCHAR"/>
            <result property="mark" column="mark" jdbcType="TINYINT"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,dict_name,type,
        status,create_user,create_time,
        update_user,update_time,remark,
        mark
    </sql>
</mapper>
